CREATE proc [tSQLt].[Private_Cleanup]
as
begin tran

declare @sql varchar(max) = 'BEGIN TRAN
BEGIN TRY
'
select @sql = @sql + 'DROP ' + replace(TABLE_TYPE, 'BASE ', '') + ' ' + m.[OriginalName] + ';
' from [tSQLt].[Private_RenamedObjectLog] m
	join INFORMATION_SCHEMA.TABLES i on i.TABLE_NAME = parsename(m.[OriginalName],1) --and TABLE_TYPE = 'BASE TABLE'
select @sql = @sql + 'DROP ' + ROUTINE_TYPE + ' ' + m.[OriginalName] + ';
' from [tSQLt].[Private_RenamedObjectLog] m
	join INFORMATION_SCHEMA.ROUTINES i on i.ROUTINE_NAME = parsename(m.[OriginalName],1) --and ROUTINE_TYPE = 'PROCEDURE'
select @sql = @sql + 'EXEC sp_rename ' + quotename(object_name([ObjectId])) + ',' + [OriginalName] + ';
' from [tSQLt].[Private_RenamedObjectLog] m
	join INFORMATION_SCHEMA.TABLES i on i.TABLE_NAME = parsename(m.[OriginalName],1) --and TABLE_TYPE = 'BASE TABLE'
select @sql = @sql + 'EXEC sp_rename ' + quotename(object_name([ObjectId])) + ',' + [OriginalName] + ';
' from [tSQLt].[Private_RenamedObjectLog] m
	join INFORMATION_SCHEMA.ROUTINES i on i.ROUTINE_NAME = parsename(m.[OriginalName],1) --and ROUTINE_TYPE = 'PROCEDURE'
select @sql = @sql + 'delete [tSQLt].[Private_RenamedObjectLog];
delete [tSQLt].[Private_AssertEqualsTableSchema_Actual];
delete [tSQLt].[Private_AssertEqualsTableSchema_Expected];
--delete [tSQLt].[Private_Configurations];
delete [tSQLt].[Private_ExpectException];
--delete [tSQLt].[Private_NewTestClassList];
delete [tSQLt].[Private_NullCellTable];
END TRY
BEGIN CATCH
	IF @@TRANCOUNT > 0 ROLLBACK;	
END CATCH;
IF @@TRANCOUNT > 0	COMMIT;
'
print @sql;
--exec (@sql);
EXEC tSQLt.SuppressOutput @sql;

EXEC tSQLt.Private_Cleanup_tSQLt_tempobject;
EXEC tsqlt.Private_Cleanup_SpyProcedureLog;

-- clean up [SSISDB].[catalog].[executions]?

commit

return
GO